﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace HeuristicLab.Services.Optimization.Web.Helpers {
  public class BillingFilterActionAttribute : ActionFilterAttribute {
    public override void OnActionExecuting(ActionExecutingContext filterContext) {
      var values = filterContext.RequestContext.RouteData.Values;
      var controller = values["controller"];

      if (!BillingComponent.Enabled) {
        // don't allow access to controllers with this name
        filterContext.Result = new HttpStatusCodeResult(404);
      }
      base.OnActionExecuting(filterContext);
    }
  }
}